<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.50
 */

$coinpress_template_args = get_query_var( 'coinpress_template_args' );
if ( is_array( $coinpress_template_args ) ) {
	$coinpress_columns    = empty( $coinpress_template_args['columns'] ) ? 2 : max( 1, $coinpress_template_args['columns'] );
	$coinpress_blog_style = array( $coinpress_template_args['type'], $coinpress_columns );
} else {
	$coinpress_blog_style = explode( '_', coinpress_get_theme_option( 'blog_style' ) );
	$coinpress_columns    = empty( $coinpress_blog_style[1] ) ? 2 : max( 1, $coinpress_blog_style[1] );
}
$coinpress_blog_id       = coinpress_get_custom_blog_id( join( '_', $coinpress_blog_style ) );
$coinpress_blog_style[0] = str_replace( 'blog-custom-', '', $coinpress_blog_style[0] );
$coinpress_expanded      = ! coinpress_sidebar_present() && coinpress_is_on( coinpress_get_theme_option( 'expand_content' ) );
$coinpress_animation     = coinpress_get_theme_option( 'blog_animation' );
$coinpress_components    = coinpress_array_get_keys_by_value( coinpress_get_theme_option( 'meta_parts' ) );

$coinpress_post_format   = get_post_format();
$coinpress_post_format   = empty( $coinpress_post_format ) ? 'standard' : str_replace( 'post-format-', '', $coinpress_post_format );

$coinpress_blog_meta     = coinpress_get_custom_layout_meta( $coinpress_blog_id );
$coinpress_custom_style  = ! empty( $coinpress_blog_meta['scripts_required'] ) ? $coinpress_blog_meta['scripts_required'] : 'none';

if ( ! empty( $coinpress_template_args['slider'] ) || $coinpress_columns > 1 || ! coinpress_is_off( $coinpress_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $coinpress_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( coinpress_is_off( $coinpress_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $coinpress_custom_style ) ) . '-1_' . esc_attr( $coinpress_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" 
<?php
	post_class(
			'post_item post_format_' . esc_attr( $coinpress_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $coinpress_columns )
					. ' post_layout_' . esc_attr( $coinpress_blog_style[0] )
					. ' post_layout_' . esc_attr( $coinpress_blog_style[0] ) . '_' . esc_attr( $coinpress_columns )
					. ( ! coinpress_is_off( $coinpress_custom_style )
						? ' post_layout_' . esc_attr( $coinpress_custom_style )
							. ' post_layout_' . esc_attr( $coinpress_custom_style ) . '_' . esc_attr( $coinpress_columns )
						: ''
						)
		);
	echo ( ! coinpress_is_off( $coinpress_animation ) && empty( $coinpress_template_args['slider'] ) ? ' data-animation="' . esc_attr( coinpress_get_animation_classes( $coinpress_animation ) ) . '"' : '' );
?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'coinpress_action_show_layout', $coinpress_blog_id );
	?>
</article><?php
if ( ! empty( $coinpress_template_args['slider'] ) || $coinpress_columns > 1 || ! coinpress_is_off( $coinpress_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
