<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

$coinpress_template_args = get_query_var( 'coinpress_template_args' );
if ( is_array( $coinpress_template_args ) ) {
	$coinpress_columns    = empty( $coinpress_template_args['columns'] ) ? 2 : max( 1, $coinpress_template_args['columns'] );
	$coinpress_blog_style = array( $coinpress_template_args['type'], $coinpress_columns );
} else {
	$coinpress_blog_style = explode( '_', coinpress_get_theme_option( 'blog_style' ) );
	$coinpress_columns    = empty( $coinpress_blog_style[1] ) ? 2 : max( 1, $coinpress_blog_style[1] );
}
$coinpress_post_format = get_post_format();
$coinpress_post_format = empty( $coinpress_post_format ) ? 'standard' : str_replace( 'post-format-', '', $coinpress_post_format );
$coinpress_animation   = coinpress_get_theme_option( 'blog_animation' );
$coinpress_image       = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

?><div class="
<?php
if ( ! empty( $coinpress_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $coinpress_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $coinpress_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $coinpress_columns )
		. ' post_layout_gallery'
		. ' post_layout_gallery_' . esc_attr( $coinpress_columns )
	);
	echo ( ! coinpress_is_off( $coinpress_animation ) && empty( $coinpress_template_args['slider'] ) ? ' data-animation="' . esc_attr( coinpress_get_animation_classes( $coinpress_animation ) ) . '"' : '' );
	?>
	data-size="
		<?php
		if ( ! empty( $coinpress_image[1] ) && ! empty( $coinpress_image[2] ) ) {
			echo intval( $coinpress_image[1] ) . 'x' . intval( $coinpress_image[2] );}
		?>
	"
	data-src="
		<?php
		if ( ! empty( $coinpress_image[0] ) ) {
			echo esc_url( $coinpress_image[0] );}
		?>
	"
>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	// Featured image
	$coinpress_image_hover = 'icon';
if ( in_array( $coinpress_image_hover, array( 'icons', 'zoom' ) ) ) {
	$coinpress_image_hover = 'dots';
}
$coinpress_components = coinpress_array_get_keys_by_value( coinpress_get_theme_option( 'meta_parts' ) );
coinpress_show_post_featured(
	array(
		'hover'         => $coinpress_image_hover,
		'no_links'      => ! empty( $coinpress_template_args['no_links'] ),
		'thumb_size'    => coinpress_get_thumb_size( strpos( coinpress_get_theme_option( 'body_style' ), 'full' ) !== false || $coinpress_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only'    => true,
		'show_no_image' => true,
		'post_info'     => '<div class="post_details">'
						. '<h2 class="post_title">'
							. ( empty( $coinpress_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_title() ) . '</a>'
								: esc_html( get_the_title() )
								)
						. '</h2>'
						. '<div class="post_description">'
							. ( ! empty( $coinpress_components )
								? coinpress_show_post_meta(
									apply_filters(
										'coinpress_filter_post_meta_args', array(
											'components' => $coinpress_components,
											'seo'      => false,
											'echo'     => false,
										), $coinpress_blog_style[0], $coinpress_columns
									)
								)
								: ''
								)
							. ( empty( $coinpress_template_args['hide_excerpt'] )
								? '<div class="post_description_content">' . get_the_excerpt() . '</div>'
								: ''
								)
							. ( empty( $coinpress_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__( 'Learn more', 'coinpress' ) . '</span></a>'
								: ''
								)
						. '</div>'
					. '</div>',
	)
);
?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!
