<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

$coinpress_template_args = get_query_var( 'coinpress_template_args' );
if ( is_array( $coinpress_template_args ) ) {
	$coinpress_columns    = empty( $coinpress_template_args['columns'] ) ? 2 : max( 1, $coinpress_template_args['columns'] );
	$coinpress_blog_style = array( $coinpress_template_args['type'], $coinpress_columns );
} else {
	$coinpress_blog_style = explode( '_', coinpress_get_theme_option( 'blog_style' ) );
	$coinpress_columns    = empty( $coinpress_blog_style[1] ) ? 2 : max( 1, $coinpress_blog_style[1] );
}
$coinpress_post_format = get_post_format();
$coinpress_post_format = empty( $coinpress_post_format ) ? 'standard' : str_replace( 'post-format-', '', $coinpress_post_format );
$coinpress_animation   = coinpress_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $coinpress_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $coinpress_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $coinpress_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $coinpress_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! coinpress_is_off( $coinpress_animation ) && empty( $coinpress_template_args['slider'] ) ? ' data-animation="' . esc_attr( coinpress_get_animation_classes( $coinpress_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$coinpress_image_hover = ! empty( $coinpress_template_args['hover'] ) && ! coinpress_is_inherit( $coinpress_template_args['hover'] )
								? $coinpress_template_args['hover']
								: coinpress_get_theme_option( 'image_hover' );
	// Featured image
	coinpress_show_post_featured(
		array(
			'hover'         => $coinpress_image_hover,
			'no_links'      => ! empty( $coinpress_template_args['no_links'] ),
			'thumb_size'    => coinpress_get_thumb_size(
				strpos( coinpress_get_theme_option( 'body_style' ), 'full' ) !== false || $coinpress_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'scale' == $coinpress_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'scale' == $coinpress_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!