<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( coinpress_is_on( coinpress_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$coinpress_sections = coinpress_array_get_keys_by_value( coinpress_get_theme_option( 'front_page_sections' ), 1, false );
		if ( is_array( $coinpress_sections ) ) {
			foreach ( $coinpress_sections as $coinpress_section ) {
				get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'front-page/section', $coinpress_section ), $coinpress_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'index' ) );
}

get_footer();
