<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>

	<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
		do_action( 'coinpress_action_before_body' );
	?>

	<div class="body_wrap">

		<div class="page_wrap">

            <?php
            // Short links to fast access to the content, sidebar and footer from the keyboard
            ?>
            <a class="coinpress_skip_link skip_to_content_link" href="#content_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to content", 'coinpress' ); ?></a>
            <?php if ( coinpress_sidebar_present() ) { ?>
                <a class="coinpress_skip_link skip_to_sidebar_link" href="#sidebar_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to sidebar", 'coinpress' ); ?></a>
            <?php } ?>
            <a class="coinpress_skip_link skip_to_footer_link" href="#footer_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to footer", 'coinpress' ); ?></a>

			<?php
			// Desktop header
			$coinpress_header_type = coinpress_get_theme_option( 'header_type' );
			if ( 'custom' == $coinpress_header_type && ! coinpress_is_layouts_available() ) {
				$coinpress_header_type = 'default';
			}
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', "templates/header-{$coinpress_header_type}" ) );

			// Side menu
			if ( in_array( coinpress_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			coinpress_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					coinpress_show_post_banner( 'background' );

					$coinpress_post_thumbnail_type  = coinpress_get_theme_option( 'post_thumbnail_type' );
					$coinpress_post_header_position = coinpress_get_theme_option( 'post_header_position' );
					$coinpress_post_header_align    = coinpress_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $coinpress_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $coinpress_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $coinpress_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $coinpress_post_header_position ) {
								coinpress_show_post_title_and_meta();
							}

							// Featured image
							coinpress_show_post_featured_image();

							// Post title and meta
							if ( in_array( $coinpress_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								coinpress_show_post_title_and_meta();
							}

							if ( 'boxed' === $coinpress_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$coinpress_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $coinpress_post_header, 'post_featured' ) !== false || strpos( $coinpress_post_header, 'post_title' ) !== false ) {
							coinpress_show_layout( $coinpress_post_header );
						}
					}
				}

				if ( 'fullscreen' != coinpress_get_theme_option( 'body_style' ) ) {
					?>
					<div class="content_wrap">
						<?php
				}

				// Widgets area above page content
				coinpress_create_widgets_area( 'widgets_above_page' );
				?>

				<div class="content">
                    <?php
                    // Skip link anchor to fast access to the content from keyboard
                    ?>
                    <a id="content_skip_link_anchor" class="coinpress_skip_link_anchor" href="#"></a>
					<?php
					// Widgets area inside page content
					coinpress_create_widgets_area( 'widgets_above_content' );
