<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

coinpress_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	coinpress_blog_archive_start();

	$coinpress_classes    = 'posts_container '
						. ( substr( coinpress_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$coinpress_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$coinpress_sticky_out = coinpress_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $coinpress_stickies ) && count( $coinpress_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $coinpress_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $coinpress_sticky_out ) {
		if ( coinpress_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( coinpress_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $coinpress_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $coinpress_sticky_out && ! is_sticky() ) {
			$coinpress_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $coinpress_classes ); ?>">
			<?php
		}
		$coinpress_part = $coinpress_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', $coinpress_part ), $coinpress_part );
	}

	?>
	</div>
	<?php

	coinpress_show_pagination();

	coinpress_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
