<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.50
 */

coinpress_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$coinpress_blog_style = coinpress_get_theme_option( 'blog_style' );
	$coinpress_parts      = explode( '_', $coinpress_blog_style );
	$coinpress_columns    = ! empty( $coinpress_parts[1] ) ? max( 1, min( 6, (int) $coinpress_parts[1] ) ) : 1;
	$coinpress_blog_id    = coinpress_get_custom_blog_id( $coinpress_blog_style );
	$coinpress_blog_meta  = coinpress_get_custom_layout_meta( $coinpress_blog_id );
	if ( ! empty( $coinpress_blog_meta['margin'] ) ) {
		coinpress_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( coinpress_prepare_css_value( $coinpress_blog_meta['margin'] ) ) ) );
	}
	$coinpress_custom_style = ! empty( $coinpress_blog_meta['scripts_required'] ) ? $coinpress_blog_meta['scripts_required'] : 'none';

	coinpress_blog_archive_start();

	$coinpress_classes    = 'posts_container blog_custom_wrap' 
							. ( ! coinpress_is_off( $coinpress_custom_style )
								? sprintf( ' %s_wrap', $coinpress_custom_style )
								: ( $coinpress_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$coinpress_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$coinpress_sticky_out = coinpress_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $coinpress_stickies ) && count( $coinpress_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $coinpress_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $coinpress_sticky_out ) {
		if ( coinpress_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( coinpress_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $coinpress_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $coinpress_sticky_out && ! is_sticky() ) {
			$coinpress_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $coinpress_classes ); ?>">
			<?php
		}
		$coinpress_part = $coinpress_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', $coinpress_part ), $coinpress_part );
	}
	?>
	</div>
	<?php

	coinpress_show_pagination();

	coinpress_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
