<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

coinpress_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	coinpress_blog_archive_start();

	?><div class="posts_container">
		<?php

		$coinpress_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
		$coinpress_sticky_out = coinpress_get_theme_option( 'sticky_style' ) == 'columns'
								&& is_array( $coinpress_stickies ) && count( $coinpress_stickies ) > 0 && get_query_var( 'paged' ) < 1;
		if ( $coinpress_sticky_out ) {
			?>
			<div class="sticky_wrap columns_wrap">
			<?php
		}
		while ( have_posts() ) {
			the_post();
			if ( $coinpress_sticky_out && ! is_sticky() ) {
				$coinpress_sticky_out = false;
				?>
				</div>
				<?php
			}
			$coinpress_part = $coinpress_sticky_out && is_sticky() ? 'sticky' : 'excerpt';
			get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', $coinpress_part ), $coinpress_part );
		}
		if ( $coinpress_sticky_out ) {
			$coinpress_sticky_out = false;
			?>
			</div>
			<?php
		}

		?>
	</div>
	<?php

	coinpress_show_pagination();

	coinpress_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
