<?php
/* Cryptocurrency Widgets � Price Ticker & Coins List support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'coinpress_cryptocurrency_price_ticker_widget_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'coinpress_cryptocurrency_price_ticker_widget_theme_setup9', 9 );
	function coinpress_cryptocurrency_price_ticker_widget_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'coinpress_filter_tgmpa_required_plugins', 'coinpress_cryptocurrency_price_ticker_widget_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'coinpress_cryptocurrency_price_ticker_widget_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('coinpress_filter_tgmpa_required_plugins',	'coinpress_cryptocurrency_price_ticker_widget_tgmpa_required_plugins');
	function coinpress_cryptocurrency_price_ticker_widget_tgmpa_required_plugins( $list = array() ) {
		if ( coinpress_storage_isset( 'required_plugins', 'cryptocurrency-price-ticker-widget' ) && coinpress_storage_get_array( 'required_plugins', 'cryptocurrency-price-ticker-widget', 'install' ) !== false ) {
			$list[] = array(
				'name'     => coinpress_storage_get_array( 'required_plugins', 'cryptocurrency-price-ticker-widget', 'title' ),
				'slug'     => 'cryptocurrency-price-ticker-widget',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if cryptocurrency_price_ticker_widget installed and activated
if ( ! function_exists( 'coinpress_exists_cryptocurrency_price_ticker_widget' ) ) {
	function coinpress_exists_cryptocurrency_price_ticker_widget() {
		return defined('Crypto_Currency_Price_Widget_VERSION') || defined('CCPWF_VERSION');
	}
}
