<?php
/* GoUrl Crypto Currency Prices Widget support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('coinpress_cryptocurrency_prices_widget_theme_setup9')) {
    add_action( 'after_setup_theme', 'coinpress_cryptocurrency_prices_widget_theme_setup9', 9 );
    function coinpress_cryptocurrency_prices_widget_theme_setup9() {
        if (is_admin()) {
            add_filter( 'coinpress_filter_tgmpa_required_plugins', 'coinpress_cryptocurrency_prices_widget_tgmpa_required_plugins' );
        }
    }
}
// Filter to add in the required plugins list
if ( !function_exists( 'coinpress_cryptocurrency_prices_widget_tgmpa_required_plugins' ) ) {
    function coinpress_cryptocurrency_prices_widget_tgmpa_required_plugins($list=array()) {
        if ( coinpress_storage_isset( 'required_plugins', 'cryptocurrency-prices' ) && coinpress_storage_get_array( 'required_plugins', 'cryptocurrency-prices', 'install' ) !== false ) {
            $path = coinpress_get_plugin_source_path( 'plugins/cryptocurrency-prices/cryptocurrency-prices.zip' );
            $list[] = array(
                'name' 		=> coinpress_storage_get_array('required_plugins', 'cryptocurrency-prices', 'title'),
                'slug' 		=> 'cryptocurrency-prices',
                'source'   => ! empty( $path ) ? $path : 'upload://cryptocurrency-prices.zip',
                'version'  => '3.0.19',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'coinpress_exists_cryptocurrency_prices_widget' ) ) {
    function coinpress_exists_cryptocurrency_prices_widget() {
        return defined('Crypto_Currency_Prices_VERSION');
    }
}

?>