<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('coinpress_cryptocurrency_rocket_tools_theme_setup9')) {
    add_action( 'after_setup_theme', 'coinpress_cryptocurrency_rocket_tools_theme_setup9', 9 );
    function coinpress_cryptocurrency_rocket_tools_theme_setup9() {
        if (is_admin()) {
            add_filter( 'coinpress_filter_tgmpa_required_plugins', 'coinpress_cryptocurrency_rocket_tools_tgmpa_required_plugins' );
        }
    }
}
// Filter to add in the required plugins list
if ( !function_exists( 'coinpress_cryptocurrency_rocket_tools_tgmpa_required_plugins' ) ) {
    function coinpress_cryptocurrency_rocket_tools_tgmpa_required_plugins($list=array()) {
        if (coinpress_storage_isset('required_plugins', 'cryptocurrency-rocket-tools')) {
            $list[] = array(
                'name' 		=> coinpress_storage_get_array('required_plugins', 'cryptocurrency-rocket-tools', 'title'),
                'slug' 		=> 'cryptocurrency-rocket-tools',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'coinpress_exists_cryptocurrency_rocket_tools' ) ) {
    function coinpress_exists_cryptocurrency_rocket_tools() {
        return defined('CRTOOLS_URL');
    }
}

add_action( 'wp_print_footer_scripts', 'coinpress_bootstrap_del', 0 );
function coinpress_bootstrap_del(){
    wp_dequeue_style('datatables-css-bootstrap-3');
}
?>