<?php
/* M Chart Highcharts Library support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('coinpress_m_chart_highcharts_library_theme_setup9')) {
    add_action( 'after_setup_theme', 'coinpress_m_chart_highcharts_library_theme_setup9', 9 );
    function coinpress_m_chart_highcharts_library_theme_setup9() {
        if (is_admin()) {
            add_filter( 'coinpress_filter_tgmpa_required_plugins', 'coinpress_m_chart_highcharts_library_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'coinpress_m_chart_highcharts_library_tgmpa_required_plugins' ) ) {
    function coinpress_m_chart_highcharts_library_tgmpa_required_plugins($list=array()) {
        if (coinpress_storage_isset('required_plugins', 'm-chart-highcharts-library')) {
            $path = coinpress_get_file_dir('plugins/m-chart-highcharts-library/m-chart-highcharts-library.zip');
            if (!empty($path) || coinpress_get_theme_setting('tgmpa_upload')) {
                $list[] = array(
                    'name' => coinpress_storage_get_array('required_plugins', 'm-chart-highcharts-library', 'title'),
                    'slug' => 'm-chart-highcharts-library',
                    'source'	=> !empty($path) ? $path : 'upload://m-chart-highcharts-library.zip',
                    'version'  => '1.2.3',
                    'required' => false
                );
            }
        }
        return $list;
    }
}

// Disable M Chart Highcharts Library plugin updates
function coinpress_filter_plugin_updates( $value ) {
    if( isset( $value->response['m-chart-highcharts-library/m-chart-highcharts-library.php'] ) ) {
        unset( $value->response['m-chart-highcharts-library/m-chart-highcharts-library.php'] );
    }
    return $value;
}

add_filter( 'site_transient_update_plugins', 'coinpress_filter_plugin_updates' );

// Check if M Chart Highcharts Library installed and activated
if ( !function_exists( 'coinpress_exists_m_chart_highcharts_library' ) ) {
    function coinpress_exists_m_chart_highcharts_library() {
        return class_exists('M_Chart') && class_exists('M_Chart_Highcharts_Library');
    }
}
?>