<?php
/* M-Chart support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('coinpress_m_chart_theme_setup9')) {
    add_action( 'after_setup_theme', 'coinpress_m_chart_theme_setup9', 9 );
    function coinpress_m_chart_theme_setup9() {
        if (is_admin()) {
            add_filter( 'coinpress_filter_tgmpa_required_plugins', 'coinpress_m_chart_tgmpa_required_plugins' );
        }
    }
}

add_filter( 'm_chart_chart_template', 'coinpress_m_chart_chart_template', 10, 1 );
function coinpress_m_chart_chart_template($template) {
    if ( !function_exists('m_chart_highcharts_library') ) {
        $template =   COINPRESS_THEME_DIR . 'plugins/m-chart/m-chart-highcharts.php';
    }
    return $template;
}

// Filter to add in the required plugins list
if ( !function_exists( 'coinpress_m_chart_tgmpa_required_plugins' ) ) {
    //Handler of the add_filter('coinpress_filter_tgmpa_required_plugins',  'coinpress_m_chart_tgmpa_required_plugins');
    function coinpress_m_chart_tgmpa_required_plugins($list=array()) {
        if (coinpress_storage_isset('required_plugins', 'm-chart')) {
            $list[] = array(
                'name' 		=> coinpress_storage_get_array('required_plugins', 'm-chart', 'title'),
                'slug' 		=> 'm-chart',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'coinpress_exists_m_chart' ) ) {
    function coinpress_exists_m_chart() {
        return function_exists('m_chart');
    }
}

?>