<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

if ( coinpress_sidebar_present() ) {
	ob_start();
	$coinpress_sidebar_name = coinpress_get_theme_option( 'sidebar_widgets' . ( is_single() ? '_single' : '' ) );
	coinpress_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $coinpress_sidebar_name ) ) {
		dynamic_sidebar( $coinpress_sidebar_name );
	}
	$coinpress_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $coinpress_out ) ) {
		$coinpress_sidebar_position = coinpress_get_theme_option( 'sidebar_position' . ( is_single() ? '_single' : '' ) );
		$coinpress_sidebar_mobile   = coinpress_get_theme_option( 'sidebar_position_mobile' . ( is_single() ? '_single' : '' ) );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $coinpress_sidebar_position );
			echo ' sidebar_' . esc_attr( $coinpress_sidebar_mobile );

			if ( 'above' == $coinpress_sidebar_mobile ) {
			} else if ( 'float' == $coinpress_sidebar_mobile ) {
				echo ' sidebar_float';
			}
			if ( ! coinpress_is_inherit( coinpress_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<?php

            // Skip link anchor to fast access to the sidebar from keyboard
            ?>
            <a id="sidebar_skip_link_anchor" class="coinpress_skip_link_anchor" href="#"></a>
            <?php

			// Single posts banner before sidebar
			coinpress_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $coinpress_sidebar_mobile, array( 'above', 'float' ) ) ) {
				$coinpress_title = apply_filters( 'coinpress_filter_sidebar_control_title', 'float' == $coinpress_sidebar_mobile ? __( 'Show Sidebar', 'coinpress' ) : '' );
				$coinpress_text  = apply_filters( 'coinpress_filter_sidebar_control_text', 'above' == $coinpress_sidebar_mobile ? __( 'Show Sidebar', 'coinpress' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_arrt( $coinpress_title ); ?>"><?php echo esc_html( $coinpress_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'coinpress_action_before_sidebar' );
				coinpress_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $coinpress_out ) );
				do_action( 'coinpress_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
