<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

get_header();

while ( have_posts() ) {
	the_post();

	// If related posts should be inside the content
	$coinpress_related_position = coinpress_get_theme_option( 'related_position' );
	if ( strpos( $coinpress_related_position, 'inside' ) === 0 ) {
		ob_start();
	}

	// Display post's content
	get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'content', get_post_format() ), get_post_format() );

	// If related posts should be inside the content
	if ( strpos( $coinpress_related_position, 'inside' ) === 0 ) {
		$coinpress_content = ob_get_contents();
		ob_end_clean();

		ob_start();
		do_action( 'coinpress_action_related_posts' );
		$coinpress_related_content = ob_get_contents();
		ob_end_clean();

		$coinpress_related_position_inside = max( 0, min( 9, coinpress_get_theme_option( 'related_position_inside' ) ) );
		if ( 0 == $coinpress_related_position_inside ) {
			$coinpress_related_position_inside = mt_rand( 1, 9 );
		}
		
		$coinpress_p_number = 0;
		$coinpress_related_inserted = false;
		for ( $i = 0; $i < strlen( $coinpress_content ) - 3; $i++ ) {
			if ( $coinpress_content[ $i ] == '<' && $coinpress_content[ $i + 1 ] == 'p' && in_array( $coinpress_content[ $i + 2 ], array( '>', ' ' ) ) ) {
				$coinpress_p_number++;
				if ( $coinpress_related_position_inside == $coinpress_p_number ) {
					$coinpress_related_inserted = true;
					$coinpress_content = ( $i > 0 ? substr( $coinpress_content, 0, $i ) : '' )
										. $coinpress_related_content
										. substr( $coinpress_content, $i );
				}
			}
		}
		if ( ! $coinpress_related_inserted ) {
			$coinpress_content .= $coinpress_related_content;
		}

		coinpress_show_layout( $coinpress_content );
	}

	// Previous/next post navigation.
	$coinpress_show_posts_navigation = ! coinpress_is_off( coinpress_get_theme_option( 'show_posts_navigation' ) );
	$coinpress_fixed_posts_navigation = ! coinpress_is_off( coinpress_get_theme_option( 'fixed_posts_navigation' ) ) ? 'nav-links-fixed fixed' : '';
	if ( $coinpress_show_posts_navigation ) {
		?>
		<div class="nav-links-single<?php echo ' ' . esc_attr( $coinpress_fixed_posts_navigation ); ?>">
			<?php
			the_post_navigation(
				array(
					'next_text' => '<span class="nav-arrow"></span>'
						. '<span class="screen-reader-text">' . esc_html__( 'Next post:', 'coinpress' ) . '</span> '
						. '<h5 class="post-title">%title</h5>'
						. '<span class="post_date">%date</span>',
					'prev_text' => '<span class="nav-arrow"></span>'
						. '<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'coinpress' ) . '</span> '
						. '<h5 class="post-title">%title</h5>'
						. '<span class="post_date">%date</span>',
				)
			);
			?>
		</div>
		<?php
	}

	// Related posts
	if ( 'below_content' == $coinpress_related_position ) {
		do_action( 'coinpress_action_related_posts' );
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
