<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.1
 */

$coinpress_theme_obj = wp_get_theme();

?>
<div class="coinpress_admin_notice coinpress_rate_notice update-nag">
	<?php
	// Theme image
	$coinpress_theme_img = coinpress_get_file_url( 'screenshot.jpg' );
	if ( '' != $coinpress_theme_img ) {
		?>
		<div class="coinpress_notice_image"><img src="<?php echo esc_url( $coinpress_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'coinpress' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="coinpress_notice_title"><a href="<?php echo esc_url( coinpress_storage_get( 'theme_rate_url' ) ); ?>" target="_blank">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Rate our theme "%s", please', 'coinpress' ),
				$coinpress_theme_obj->name . ( COINPRESS_THEME_FREE ? ' ' . __( 'Free', 'coinpress' ) : '' )
			)
		);
		?>
	</a></h3>
	<?php

	// Description
	?>
	<div class="coinpress_notice_text">
		<p><?php echo wp_kses_data( __( 'We are glad you chose our WP theme for your website. You’ve done well customizing your website and we hope that you’ve enjoyed working with our theme.', 'coinpress' ) ); ?></p>
		<p><?php echo wp_kses_data( __( 'It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you’ve received from us.', 'coinpress' ) ); ?></p>
		<p class="coinpress_notice_text_info"><?php echo wp_kses_data( __( '* "We love receiving your reviews! Every time you leave a review, our CEO Henry Rise gives $5 to homeless dog shelter! Save the planet with us!', 'coinpress' ) ); ?></p>
	</div>
	<?php

	// Buttons
	?>
	<div class="coinpress_notice_buttons">
		<?php
		// Link to the theme download page
		?>
		<a href="<?php echo esc_url( coinpress_storage_get( 'theme_rate_url' ) ); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> 
			<?php
			// Translators: Add theme name
			echo esc_html( sprintf( __( 'Rate theme %s', 'coinpress' ), $coinpress_theme_obj->name ) );
			?>
		</a>
		<?php
		// Link to the theme support
		?>
		<a href="<?php echo esc_url( coinpress_storage_get( 'theme_support_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> 
			<?php
			esc_html_e( 'Support', 'coinpress' );
			?>
		</a>
		<?php
		// Link to the theme documentation
		?>
		<a href="<?php echo esc_url( coinpress_storage_get( 'theme_doc_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> 
			<?php
			esc_html_e( 'Documentation', 'coinpress' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" class="coinpress_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="coinpress_hide_notice_text"><?php esc_html_e( 'Dismiss', 'coinpress' ); ?></span></a>
	</div>
</div>
