<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$coinpress_mult = coinpress_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120 * $coinpress_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h4 class="author_title" itemprop="name">
		<?php
			// Translators: Add the author's name in the <span>
			echo wp_kses_data( sprintf( __( 'About %s', 'coinpress' ), '<span class="fn">' . get_the_author() . '</span>' ) );
		?>
		</h4>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'coinpress_kses_content' ); ?>
			<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
                                                    esc_html_e( 'Read More', 'coinpress' );
													?>
			</a>
			<?php do_action( 'coinpress_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
