<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.10
 */

// Footer sidebar
$coinpress_footer_name    = coinpress_get_theme_option( 'footer_widgets' );
$coinpress_footer_present = ! coinpress_is_off( $coinpress_footer_name ) && is_active_sidebar( $coinpress_footer_name );
if ( $coinpress_footer_present ) {
	coinpress_storage_set( 'current_sidebar', 'footer' );
	$coinpress_footer_wide = coinpress_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $coinpress_footer_name ) ) {
		dynamic_sidebar( $coinpress_footer_name );
	}
	$coinpress_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $coinpress_out ) ) {
		$coinpress_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $coinpress_out );
		$coinpress_need_columns = true;
		if ( $coinpress_need_columns ) {
			$coinpress_columns = max( 0, (int) coinpress_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $coinpress_columns ) {
				$coinpress_columns = min( 4, max( 1, coinpress_tags_count( $coinpress_out, 'aside' ) ) );
			}
			if ( $coinpress_columns > 1 ) {
				$coinpress_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $coinpress_columns ) . ' widget', $coinpress_out );
			} else {
				$coinpress_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $coinpress_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $coinpress_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $coinpress_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'coinpress_action_before_sidebar' );
				coinpress_show_layout( $coinpress_out );
				do_action( 'coinpress_action_after_sidebar' );
				if ( $coinpress_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $coinpress_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
