<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0.06
 */

$coinpress_header_css   = '';
$coinpress_header_image = get_header_image();
$coinpress_header_video = coinpress_get_header_video();
if ( ! empty( $coinpress_header_image ) && coinpress_trx_addons_featured_image_override( is_singular() || coinpress_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$coinpress_header_image = coinpress_get_current_mode_image( $coinpress_header_image );
}

$coinpress_header_id = coinpress_get_custom_header_id();
$coinpress_header_meta = get_post_meta( $coinpress_header_id, 'trx_addons_options', true );
if ( ! empty( $coinpress_header_meta['margin'] ) ) {
	coinpress_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( coinpress_prepare_css_value( $coinpress_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $coinpress_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $coinpress_header_id ) ) ); ?>
				<?php
				echo ! empty( $coinpress_header_image ) || ! empty( $coinpress_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $coinpress_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $coinpress_header_image ) {
					echo ' ' . esc_attr( coinpress_add_inline_css_class( 'background-image: url(' . esc_url( $coinpress_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( coinpress_is_on( coinpress_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight coinpress-full-height';
				}
				if ( ! coinpress_is_inherit( coinpress_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $coinpress_header_video ) ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'coinpress_action_show_layout', $coinpress_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
