<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

$coinpress_header_css   = '';
$coinpress_header_image = get_header_image();
$coinpress_header_video = coinpress_get_header_video();
if ( ! empty( $coinpress_header_image ) && coinpress_trx_addons_featured_image_override( is_singular() || coinpress_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$coinpress_header_image = coinpress_get_current_mode_image( $coinpress_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $coinpress_header_image ) || ! empty( $coinpress_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $coinpress_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $coinpress_header_image ) {
		echo ' ' . esc_attr( coinpress_add_inline_css_class( 'background-image: url(' . esc_url( $coinpress_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( coinpress_is_on( coinpress_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight coinpress-full-height';
	}
	if ( ! coinpress_is_inherit( coinpress_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( coinpress_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $coinpress_header_video ) ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( coinpress_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( coinpress_is_on( coinpress_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-mobile' ) );
	}

	if ( !is_single() || ( coinpress_get_theme_option( 'post_header_position' ) == 'default' && coinpress_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Page title and breadcrumbs area
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-title' ) );

		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'coinpress_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
