<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

$coinpress_args = get_query_var( 'coinpress_logo_args' );

// Site logo
$coinpress_logo_type   = isset( $coinpress_args['type'] ) ? $coinpress_args['type'] : '';
$coinpress_logo_image  = coinpress_get_logo_image( $coinpress_logo_type );
$coinpress_logo_text   = coinpress_is_on( coinpress_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$coinpress_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $coinpress_logo_image['logo'] ) || ! empty( $coinpress_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $coinpress_logo_image['logo'] ) ) {
			if ( empty( $coinpress_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $coinpress_logo_image['logo'] ) && $coinpress_logo_image['logo'] > 0 ) {
					the_custom_logo();
			} else {
				$coinpress_attr = coinpress_getimagesize( $coinpress_logo_image['logo'] );
				echo '<img src="' . esc_url( $coinpress_logo_image['logo'] ) . '"'
						. ( ! empty( $coinpress_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $coinpress_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $coinpress_logo_text ) . '"'
						. ( ! empty( $coinpress_attr[3] ) ? ' ' . wp_kses_data( $coinpress_attr[3] ) : '' )
						. '>';
			}
		} else {
			coinpress_show_layout( coinpress_prepare_macros( $coinpress_logo_text ), '<span class="logo_text">', '</span>' );
			coinpress_show_layout( coinpress_prepare_macros( $coinpress_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
