<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

// Page (category, tag, archive, author) title

if ( coinpress_need_page_title() ) {
	coinpress_sc_layouts_showed( 'title', true );
	coinpress_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								coinpress_show_post_meta(
									apply_filters(
										'coinpress_filter_post_meta_args', array(
											'components' => coinpress_array_get_keys_by_value( coinpress_get_theme_option( 'meta_parts' ) ),
											'counters'   => coinpress_array_get_keys_by_value( coinpress_get_theme_option( 'counters' ) ),
											'seo'        => coinpress_is_on( coinpress_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$coinpress_blog_title           = coinpress_get_blog_title();
							$coinpress_blog_title_text      = '';
							$coinpress_blog_title_class     = '';
							$coinpress_blog_title_link      = '';
							$coinpress_blog_title_link_text = '';
							if ( is_array( $coinpress_blog_title ) ) {
								$coinpress_blog_title_text      = $coinpress_blog_title['text'];
								$coinpress_blog_title_class     = ! empty( $coinpress_blog_title['class'] ) ? ' ' . $coinpress_blog_title['class'] : '';
								$coinpress_blog_title_link      = ! empty( $coinpress_blog_title['link'] ) ? $coinpress_blog_title['link'] : '';
								$coinpress_blog_title_link_text = ! empty( $coinpress_blog_title['link_text'] ) ? $coinpress_blog_title['link_text'] : '';
							} else {
								$coinpress_blog_title_text = $coinpress_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $coinpress_blog_title_class ); ?>">
								<?php
								$coinpress_top_icon = coinpress_get_term_image_small();
								if ( ! empty( $coinpress_top_icon ) ) {
									$coinpress_attr = coinpress_getimagesize( $coinpress_top_icon );
									?>
									<img src="<?php echo esc_url( $coinpress_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'coinpress' ); ?>"
										<?php
										if ( ! empty( $coinpress_attr[3] ) ) {
											coinpress_show_layout( $coinpress_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_data( $coinpress_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $coinpress_blog_title_link ) && ! empty( $coinpress_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $coinpress_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $coinpress_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

						// Breadcrumbs
						?>
						<div class="sc_layouts_title_breadcrumbs">
							<?php
							do_action( 'coinpress_action_breadcrumbs' );
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
