<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

// Header sidebar
$coinpress_header_name    = coinpress_get_theme_option( 'header_widgets' );
$coinpress_header_present = ! coinpress_is_off( $coinpress_header_name ) && is_active_sidebar( $coinpress_header_name );

if ( $coinpress_header_present ) {
	coinpress_storage_set( 'current_sidebar', 'header' );
	$coinpress_header_wide = coinpress_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $coinpress_header_name ) ) {
		dynamic_sidebar( $coinpress_header_name );
	}
	$coinpress_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $coinpress_widgets_output ) ) {
		$coinpress_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $coinpress_widgets_output );
		$coinpress_need_columns   = strpos( $coinpress_widgets_output, 'columns_wrap' ) === false;
		if ( $coinpress_need_columns ) {
			$coinpress_columns = max( 0, (int) coinpress_get_theme_option( 'header_columns' ) );
			if ( 0 == $coinpress_columns ) {
				$coinpress_columns = min( 6, max( 1, coinpress_tags_count( $coinpress_widgets_output, 'aside' ) ) );
			}
			if ( $coinpress_columns > 1 ) {
				$coinpress_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $coinpress_columns ) . ' widget', $coinpress_widgets_output );
			} else {
				$coinpress_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $coinpress_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $coinpress_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $coinpress_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'coinpress_action_before_sidebar' );
				coinpress_show_layout( $coinpress_widgets_output );
				do_action( 'coinpress_action_after_sidebar' );
				if ( $coinpress_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $coinpress_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
