<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage COINPRESS
 * @since COINPRESS 1.0
 */

$coinpress_template_args = get_query_var( 'coinpress_template_args' );
$coinpress_link        = get_permalink();
$coinpress_title       = get_the_title();
$coinpress_post_format = get_post_format();
$coinpress_post_format = empty( $coinpress_post_format ) ? 'standard' : str_replace( 'post-format-', '', $coinpress_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $coinpress_post_format ) ); ?>>
	<?php
	coinpress_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'coinpress_filter_related_thumb_size', coinpress_get_thumb_size( (int) coinpress_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'more-big' ) ),
			'show_no_image' => coinpress_get_no_image() != '',
            'thumb_ratio'   => '10:6.5',
        )
	);
	?>
	<div class="post_header entry-header">
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
            coinpress_show_post_meta(
                apply_filters(
                    'coinpress_filter_post_meta_args', array(
                    'components' => 'categories,date,comments',
                    'seo'        => false,
                ), 'excerpt', 1
                )
            );
		}
        if ( !empty($coinpress_title) ) {
            ?>
            <h4 class="post_title entry-title"><a
                        href="<?php echo esc_url($coinpress_link); ?>"><?php the_title(); ?></a></h4>
            <?php
        }

        if ( empty($coinpress_title) ) {
            coinpress_show_post_more_link( $coinpress_template_args, '', '' );
        }
        ?>
	</div>

</div>
