<?php
/**
 * The "Announce" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */


$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = min(8, $widget_args['number']);
$count = min(8, $widget_args['count']);
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');
$trim_excerpt = get_the_excerpt();
$grid = array(
    array('full'),
    array('big', 'medium'),
    array('big', 'medium', 'medium'),
    array('big', 'medium', 'medium', 'small'),
    array('big', 'medium', 'medium', 'small', 'small'),
    array('big', 'medium', 'medium', 'small', 'small', 'small'),
    array('big', 'medium', 'medium', 'small', 'small', 'small', 'small'),
    array('big', 'medium', 'medium', 'small', 'small', 'small', 'small', 'small')
);
$thumb_size = $grid[$count-$number >= 8 ? 8 : ($count-1)%8][($number-1)%8];

if($thumb_size == 'big') {
    echo '<div class="first-post-height">';
}
elseif($number == 2) {
    echo '<div class="other-post-height">';
}

?><article
    <?php post_class( 'post_item post_layout_'.esc_attr($style)
        .' post_format_'.esc_attr($post_format)
        .' post_size_'.esc_attr($thumb_size)
    ); ?>
    <?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
>

    <?php



    $go_info = '<div class="post_info">'
        . '<h4 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">'.wp_kses( get_the_title(), 'coinpress_kses_content' ).'</a></h4>'
        . ( in_array( get_post_type(), array( 'post', 'attachment' ) )
            ? trx_addons_sc_show_post_meta('news-extra-magazine', array(
                'components' => 'categories,date,comments',
                'theme_specific' => false,
                'echo' => false
            ))
            : '')
        . '</div>';


        trx_addons_get_template_part('templates/tpl.featured.php',
            'trx_addons_args_featured',
            apply_filters('trx_addons_filter_args_featured', array(
                'post_info' => $thumb_size == 'big' ? $go_info : '',
                'thumb_bg' => $thumb_size == 'big' ? true : false,
                'thumb_size' => $thumb_size == 'big' ? coinpress_get_thumb_size('big') : ($thumb_size == 'medium' ? coinpress_get_thumb_size('med') : coinpress_get_thumb_size('big-square')),

            ),
                'recent_news-extra-magazine')
        );


        if($thumb_size != 'big' && $thumb_size == 'medium') {
            echo '<div class="post_info">'
                . ( in_array( get_post_type(), array( 'post', 'attachment' ) )
                    ? trx_addons_sc_show_post_meta('news-extra-magazine', array(
                        'components' => 'categories,date,comments',
                        'theme_specific' => false,
                        'echo' => false
                    ))
                    : '')
                . '<h5 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">'.wp_kses( get_the_title(), 'coinpress_kses_content' ).'</a></h5>'
                . '</div>';
        } else if($thumb_size == 'small') {
            echo '<div class="post_info">'
                . '<h6 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">'.wp_kses( get_the_title(), 'coinpress_kses_content' ).'</a></h6>'
                . ( in_array( get_post_type(), array( 'post', 'attachment' ) )
                    ? trx_addons_sc_show_post_meta('news-extra-magazine', array(
                        'components' => 'date,comments',
                        'theme_specific' => false,
                        'echo' => false
                    ))
                    : '')
                . '</div>';
        }



    ?>
</article>

<?php

if($number == 3 && $number < $count){
    echo '<hr>';
}

if($thumb_size == 'big') {
    echo '</div>';
}
elseif ($number == $count) {
    echo '</div>';
}

?>