<?php
/**
 * The "News Magazine" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = $widget_args['number'];
$count = $widget_args['count'];
$columns = $widget_args['columns'];
$featured = $widget_args['featured'];
$button_name = isset($widget_args['button_name']) ? $widget_args['button_name'] : '';
$button_link = isset($widget_args['button_link']) ? $widget_args['button_link'] : '';
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');
$trim_excerpt = get_the_excerpt();

if ($number==$featured+1 && $number > 1 && $featured < $count && $featured!=$columns-1) {
	?><div class="post_delimiter<?php if ($columns > 1) echo ' '.esc_attr(trx_addons_get_column_class(1, 1)); ?>"></div><?php
}

if ($columns > 1 && !($featured==$columns-1 && $number>$featured+1)) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $columns)); ?>"><?php
}

?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					.' post_accented_'.($number<=$featured ? 'on' : 'off')
					.($featured == $count && $featured > $columns ? ' post_accented_border' : '')
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}
	
	trx_addons_get_template_part('templates/tpl.featured.php',
								'trx_addons_args_featured',
								apply_filters('trx_addons_filter_args_featured', array(
												'thumb_size' => coinpress_get_thumb_size($number<=$featured ? 'med' : 'med-square')
												), 'recent_news-magazine')
								);
    if ($number <= $featured) {
        ?><div class="item_content_wrap"><?php
    }
	if ( !in_array($post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php

            if ($number <= $featured) {

                if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
                    if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
                        trx_addons_sc_show_post_meta('recent_news_magazine', apply_filters('trx_addons_filter_post_meta_args', array(
                                'components' => 'categories,date,comments',
                                'seo' => false
                            ), 'recent_news_magazine', 1)
                        );
                    }
                }

                the_title( ($number<=$featured ? '<h4' : '<h5').' class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">', '</a>'.($number<=$featured ? '</h4>' : '</h5>') );

            }  else {

                the_title( ( $number<=$featured ? '<h4' : '<h5').' class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">', '</a>'.($number<=$featured ? '</h4>' : '</h5>') );

                if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
                    if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
                        trx_addons_sc_show_post_meta('recent_news_magazine', apply_filters('trx_addons_filter_post_meta_args', array(
                                'components' => 'date,comments',
                                'seo' => false
                            ), 'recent_news_magazine', 1)
                        );
                    }
                }
            }

			?>
		</div><!-- .entry-header -->
		<?php
	}

	// Display content and footer only in the featured posts
	if ($number <= $featured) {
		?>
	
		<div class="post_content entry-content">
			<?php
			if ( has_excerpt() ) {
				wp_trim_words( $trim_excerpt, 20, '...' );
			} else {
				trx_addons_show_layout( trx_addons_strwords( trx_addons_filter_post_content( wp_trim_words( $trim_excerpt, 14, ' ...' ) ), apply_filters( 'excerpt_length', 20 ) ) );

            }
			?>
		</div><!-- .entry-content -->
		<?php
	}
    if ($number <= $featured) {
        ?></div><?php
    }
?>
</article><?php

if ($columns > 1 && !($featured==$columns-1 && $featured<$number && $number<$count)) {

    if ($featured  == 1 && $columns == 2 && !($featured==$columns-1 && $featured<$number && $number<$count) && ($featured < $number) ) {
        if (!empty($button_link) && !empty($button_name)) {
            $output = '<a href="' . esc_url($button_link) . '" class="button_link">' . esc_html($button_name) . '</a>';
            trx_addons_show_layout($output);
        }
    }
	?></div><?php
}
?>