<?php
/**
 * The template to display the posts list
 *
 * Used for widgets Recent Posts, Popular Posts.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */

$trx_addons_post_id    = get_the_ID();
$trx_addons_post_date  = apply_filters('trx_addons_filter_get_post_date', get_the_date());
$trx_addons_post_title = get_the_title();
$trx_addons_post_link  = get_permalink();
$trx_addons_post_author_id   = get_the_author_meta('ID');
$trx_addons_post_author_name = get_the_author_meta('display_name');
$trx_addons_post_author_url  = get_author_posts_url($trx_addons_post_author_id, '');

$trx_addons_args = get_query_var('trx_addons_args_widgets_posts');

$trx_addons_show_date = isset($trx_addons_args['show_date']) ? (int) $trx_addons_args['show_date'] : 1;
$trx_addons_show_image = isset($trx_addons_args['show_image']) ? (int) $trx_addons_args['show_image'] : 1;
$trx_addons_show_author = isset($trx_addons_args['show_author']) ? (int) $trx_addons_args['show_author'] : 1;
$trx_addons_show_counters = isset($trx_addons_args['show_counters']) ? (int) $trx_addons_args['show_counters'] : 1;
$trx_addons_show_categories = isset($trx_addons_args['show_categories']) ? (int) $trx_addons_args['show_categories'] : 1;
$trx_addons_image_top = isset($trx_addons_args['image_top']) ? (int) $trx_addons_args['image_top'] : 0;
$trx_addons_simple_type = isset($trx_addons_args['type_simple']) ? (int) $trx_addons_args['type_simple'] : 0;
$trx_addons_show_rating = isset($trx_addons_args['show_rating']) ? (int) $trx_addons_args['show_rating'] : 0;

$trx_addons_output = get_query_var('trx_addons_output_widgets_posts');

$trx_addons_post_counters_output = '';
if ( $trx_addons_show_counters && !empty($trx_addons_args['components']) ) {
    $trx_addons_post_counters_output = '<div class="post_info_item post_info_counters">'
											. coinpress_show_post_meta(array(
                                                        'components' => 'comments',
                                                        'theme_specific' => false,
                                                        'seo' => false,
                                                        'echo' => false
                                                    )
                                                )
										. '</div>';
}

$trx_addons_post_categories_output = $trx_addons_show_categories ? trx_addons_get_post_categories() : '';


$trx_addons_with_thumbnails = has_post_thumbnail($trx_addons_post_id);

$trx_addons_output .= '<article class="post_item'.esc_attr($trx_addons_with_thumbnails && $trx_addons_show_image ? ' with_thumb' : '').esc_attr($trx_addons_image_top == 1 && $trx_addons_show_image ? ' image_top' : '').esc_attr($trx_addons_simple_type == 0 ? ' type_simple' : '').' hover_scale">';

if ($trx_addons_show_image && $trx_addons_image_top == 1 ) {
	$trx_addons_post_thumb = get_the_post_thumbnail($trx_addons_post_id,
													apply_filters('trx_addons_filter_posts_list_thumb_size',
																	coinpress_get_thumb_size('huge'),
																	$trx_addons_args),
													array(
														'alt' => the_title_attribute( array( 'echo' => false ) )
														));
	if ($trx_addons_post_thumb)
		$trx_addons_output .= '<div class="post_thumb">' 
									. ($trx_addons_post_link ? '<a href="' . esc_url($trx_addons_post_link) . '">' : '') 
									. ($trx_addons_post_thumb) 
									. ($trx_addons_post_link ? '</a>' : '')
								. '</div>';
}

if ($trx_addons_show_image && $trx_addons_image_top == 0 ) {
    $trx_addons_post_thumb = get_the_post_thumbnail($trx_addons_post_id,
        apply_filters('trx_addons_filter_posts_list_thumb_size',
            coinpress_get_thumb_size('big-square'),
            $trx_addons_args),
        array(
			'alt' => the_title_attribute( array( 'echo' => false ) )
        ));
    if ($trx_addons_post_thumb)
        $trx_addons_output .= '<div class="post_thumb">'
            . ($trx_addons_post_link ? '<a href="' . esc_url($trx_addons_post_link) . '">' : '')
            . ($trx_addons_post_thumb)
            . ($trx_addons_post_link ? '</a>' : '')
            . '</div>';
}

$trx_addons_output .= '<div class="post_content">'
			. ( !empty($trx_addons_post_categories_output)
					? '<div class="post_categories">'
						. trim($trx_addons_post_categories_output)
						. '</div>'
					: '')
			. '<h5 class="post_title">' . ($trx_addons_post_link ? '<a href="' . esc_url($trx_addons_post_link) . '">' : '') . ($trx_addons_post_title) . ($trx_addons_post_link ? '</a>' : '') . '</h5>'
			. ($trx_addons_show_rating && function_exists('trx_addons_sc_reviews')
					? trx_addons_sc_reviews(array(	'post_id' => $trx_addons_post_id,
													'rating_max_level' => 5,
													'rating_style' => 'icons',
													'rating_text_template' => '#',	// Don't display text
													'allow_voting' => 0
													))
					: ''
					)
			. '<div class="post_info">'
				. ($trx_addons_show_date 
					? '<span class="post_info_item post_info_posted">'
						. ($trx_addons_post_link ? '<a href="' . esc_url($trx_addons_post_link) . '" class="post_info_date">' : '') 
						. ($trx_addons_post_date) 
						. ($trx_addons_post_link ? '</a>' : '')
                    . '</span>'
					: '')
                    . (!$trx_addons_show_categories && $trx_addons_post_counters_output
                        ? $trx_addons_post_counters_output
                        : '')
                    . ($trx_addons_show_author
					? '<span class="post_info_item post_info_posted_by">' 
						. esc_html__('by', 'coinpress') . ' '
						. ($trx_addons_post_link ? '<a href="' . esc_url($trx_addons_post_author_url) . '" class="post_info_author">' : '') 
						. ($trx_addons_post_author_name) 
						. ($trx_addons_post_link ? '</a>' : '') 
						. '</span>'
					: '')
			. '</div>'
		. '</div>'
	. '</article>';
set_query_var('trx_addons_output_widgets_posts', $trx_addons_output);
