<?php
/**
 * Plugin support: Cryptocurrency Rocket Tools
 */


// Check if plugin installed and activated
if ( !function_exists( 'trx_addons_exists_cryptocurrency_rocket_tools' ) ) {
	function trx_addons_exists_cryptocurrency_rocket_tools() {
		return defined('CRTOOLS_URL');
	}
}

// One-click import support
//------------------------------------------------------------------------

// Check plugin in the required plugins
if ( !function_exists( 'trx_addons_cryptocurrency_rocket_tools_importer_required_plugins' ) ) {
	if (is_admin()) add_filter( 'trx_addons_filter_importer_required_plugins',	'trx_addons_cryptocurrency_rocket_tools_importer_required_plugins', 10, 2 );
	function trx_addons_cryptocurrency_rocket_tools_importer_required_plugins($not_installed='', $list='') {
		if (strpos($list, 'cryptocurrency-rocket-tools')!==false && !trx_addons_exists_cryptocurrency_rocket_tools() )
			$not_installed .= '<br>' . esc_html__('Cryptocurrency Rocket Tools', 'trx_addons');
		return $not_installed;
	}
}

// Set plugin's specific importer options
if ( !function_exists( 'trx_addons_cryptocurrency_rocket_tools_importer_set_options' ) ) {
	if (is_admin()) add_filter( 'trx_addons_filter_importer_options',	'trx_addons_cryptocurrency_rocket_tools_importer_set_options' );
	function trx_addons_cryptocurrency_rocket_tools_importer_set_options($options=array()) {
		if ( trx_addons_exists_cryptocurrency_rocket_tools() && in_array('cryptocurrency-rocket-tools', $options['required_plugins']) ) {
			$options['additional_options'][]	= 'crtools_%';					// Add slugs to export options for this plugin
		}
		return $options;
	}
}


?>